commit:     ec9f92bc36763308366a320b140bb94132471baa
Author:     Ulrich Müller <ulm <AT> gentoo <DOT> org>
AuthorDate: Thu Feb  8 07:40:37 2024 +0000
Commit:     Ulrich Müller <ulm <AT> gentoo <DOT> org>
CommitDate: Thu Feb  8 07:58:31 2024 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=ec9f92bc

sci-visualization/gnuplot: add 6.0.0

Signed-off-by: Ulrich Müller <ulm <AT> gentoo.org>

 sci-visualization/gnuplot/Manifest                 |   1 +
 .../gnuplot/files/gnuplot-6.0.0-configure.patch    |  11 ++
 sci-visualization/gnuplot/gnuplot-6.0.0.ebuild     | 206 +++++++++++++++++++++
 3 files changed, 218 insertions(+)

diff --git a/sci-visualization/gnuplot/Manifest 
b/sci-visualization/gnuplot/Manifest
index 37af373773a6..4bbc33f47f32 100644
--- a/sci-visualization/gnuplot/Manifest
+++ b/sci-visualization/gnuplot/Manifest
@@ -1,2 +1,3 @@
 DIST gnuplot-5.4.10.tar.gz 5687565 BLAKE2B 
879159fb4b581aa334b221632af7268047077cd48d89d1cecb0c6c9e855edd40bddfdaa8222177652d6200f81b97b0b52fe719da0641eea817e086832f07664f
 SHA512 
fe5226a243dad62e8617d820764dc5923e76a51a68c58a666a699110f5b5be0f5e759e0586e923472a59ca6d1b30d1093d7a65e9c1d3a36fcd33a95df36ab89f
 DIST gnuplot-5.4.8.tar.gz 5684061 BLAKE2B 
bd897b55e267f50e2f5ce8a49a3a033277577cd972c9effaaaedb0bb2e75908ce34997e389edcc4bd0db1dd8a0d937925216ed6ebf4e51d6700bac50d12e6a47
 SHA512 
3fe0ed783db85d95bdbc13e24ec5dc9bb6b2d85b3571cc87d3c17c94f4463fb6e681376394e0918cf3915f8f53896e6423ce76cb8b6fdbefcd6ec3e1b3b80125
+DIST gnuplot-6.0.0.tar.gz 7522870 BLAKE2B 
619171272c2348db1b676d6d773d34e0b9f1b219e1a43c37287e3347d8ae6147ebc2a88cea5da13f34cb608cc1c8ebf884e89b8975249fd5c19167a38a65c8df
 SHA512 
520b9a74ac64e4d0b0f89dda55f77b27026e60b7a9208e994d321299481d0aa1f8adc91e61682534112bf739311a3d312c5abe08c12ec9bc2a7a6319b53872ea

diff --git a/sci-visualization/gnuplot/files/gnuplot-6.0.0-configure.patch 
b/sci-visualization/gnuplot/files/gnuplot-6.0.0-configure.patch
new file mode 100644
index 000000000000..463dccab8c90
--- /dev/null
+++ b/sci-visualization/gnuplot/files/gnuplot-6.0.0-configure.patch
@@ -0,0 +1,11 @@
+--- gnuplot-6.0.0/configure.ac
++++ gnuplot-6.0.0/configure.ac
+@@ -1024,7 +1024,7 @@
+                [ Define to support defining a function as a here document])
+    )
+ 
+-Enable parsing of deprecated syntax
++dnl Enable parsing of deprecated syntax
+ AC_ARG_ENABLE(backward-compatibility,dnl
+ [  --enable-backward-compatibility       enable some deprecated syntax ],
+   [if test "$enableval" = yes; then

diff --git a/sci-visualization/gnuplot/gnuplot-6.0.0.ebuild 
b/sci-visualization/gnuplot/gnuplot-6.0.0.ebuild
new file mode 100644
index 000000000000..245e5266df6c
--- /dev/null
+++ b/sci-visualization/gnuplot/gnuplot-6.0.0.ebuild
@@ -0,0 +1,206 @@
+# Copyright 1999-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+LUA_COMPAT=( lua5-{1,2,3,4} )
+WX_GTK_VER="3.2-gtk3"
+
+inherit autotools lua-single readme.gentoo-r1 toolchain-funcs wxwidgets
+
+DESCRIPTION="Command-line driven interactive plotting program"
+HOMEPAGE="http://www.gnuplot.info/";
+
+if [[ -z ${PV%%*9999} ]]; then
+       inherit git-r3
+       EGIT_REPO_URI="https://git.code.sf.net/p/gnuplot/gnuplot-main";
+       EGIT_BRANCH="master"
+       MY_P="${PN}"
+       EGIT_CHECKOUT_DIR="${WORKDIR}/${MY_P}"
+else
+       MY_P="${P/_/.}"
+       SRC_URI="mirror://sourceforge/gnuplot/${MY_P}.tar.gz"
+       KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~loong ~ppc ~ppc64 
~riscv ~s390 ~sparc ~x86 ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos 
~x64-solaris"
+fi
+
+S="${WORKDIR}/${MY_P}"
+
+LICENSE="gnuplot"
+SLOT="0"
+IUSE="aqua bitmap cairo doc examples +gd latex libcaca libcerf lua qt5 
readline regis wxwidgets X"
+REQUIRED_USE="
+       doc? ( gd )
+       lua? ( ${LUA_REQUIRED_USE} )"
+
+RDEPEND="
+       cairo? (
+               x11-libs/cairo
+               x11-libs/pango )
+       gd? ( >=media-libs/gd-2.0.35-r3:2=[png] )
+       latex? (
+               virtual/latex-base
+               lua? (
+                       dev-tex/pgf
+                       >=dev-texlive/texlive-latexrecommended-2008-r2 ) )
+       libcaca? ( media-libs/libcaca )
+       lua? ( ${LUA_DEPS} )
+       qt5? (
+               dev-qt/qtcore:5=
+               dev-qt/qtgui:5=
+               dev-qt/qtnetwork:5=
+               dev-qt/qtprintsupport:5=
+               dev-qt/qtsvg:5=
+               dev-qt/qtwidgets:5= )
+       readline? ( sys-libs/readline:0= )
+       libcerf? ( sci-libs/libcerf )
+       wxwidgets? (
+               x11-libs/wxGTK:${WX_GTK_VER}[X]
+               x11-libs/cairo
+               x11-libs/pango
+               x11-libs/gtk+:3 )
+       X? ( x11-libs/libXaw )"
+
+DEPEND="${RDEPEND}"
+
+BDEPEND="
+       virtual/pkgconfig
+       doc? (
+               virtual/latex-base
+               dev-texlive/texlive-latexextra
+               dev-texlive/texlive-langgreek
+               dev-texlive/texlive-mathscience
+               app-text/ghostscript-gpl )
+       qt5? ( dev-qt/linguist-tools:5 )"
+
+IDEPEND="latex? ( virtual/latex-base )"
+
+GP_VERSION="${PV%.*}"
+TEXMF="${EPREFIX}/usr/share/texmf-site"
+
+PATCHES=(
+       "${FILESDIR}"/${PN}-6.1-no-picins.patch
+       "${FILESDIR}"/${PN}-6.0.0-configure.patch
+)
+
+pkg_setup() {
+       use lua && lua-single_pkg_setup
+}
+
+src_prepare() {
+       default
+
+       if [[ ${PV##*.} = 9999 ]]; then
+               local dir
+               for dir in config demo m4 term tutorial; do
+                       emake -C "$dir" -f Makefile.am.in Makefile.am
+               done
+       fi
+
+       # Add special version identification as required by provision 2
+       # of the gnuplot license
+       sed -i -e "1s/.*/& (Gentoo revision ${PR})/" PATCHLEVEL || die
+
+       eautoreconf
+
+       # Make sure we don't mix build & host flags.
+       sed -i \
+               -e 's:@CPPFLAGS@:$(BUILD_CPPFLAGS):' \
+               -e 's:@CFLAGS@:$(BUILD_CFLAGS):' \
+               -e 's:@LDFLAGS@:$(BUILD_LDFLAGS):' \
+               -e 's:@CC@:$(CC_FOR_BUILD):' \
+               docs/Makefile.in || die
+}
+
+src_configure() {
+       if ! use latex; then
+               sed -i -e '/SUBDIRS/s/LaTeX//' share/Makefile.in || die
+       fi
+
+       use wxwidgets && setup-wxwidgets
+
+       tc-export CC CXX                        #453174
+       tc-export_build_env BUILD_CC
+       export CC_FOR_BUILD=${BUILD_CC}
+
+       econf \
+               --with-texdir="${TEXMF}/tex/latex/${PN}" \
+               --with-readline=$(usex readline gnu builtin) \
+               $(use_with bitmap bitmap-terminals) \
+               $(use_with cairo) \
+               $(use_with gd) \
+               "$(use_with libcaca caca "${EPREFIX}/usr/$(get_libdir)")" \
+               $(use_with libcerf) \
+               $(use_with lua) \
+               $(use_with regis) \
+               $(use_with X x) \
+               --enable-stats \
+               $(use_with qt5 qt qt5) \
+               $(use_enable wxwidgets) \
+               DIST_CONTACT="https://bugs.gentoo.org/"; \
+               EMACS=no
+}
+
+src_compile() {
+       # Prevent access violations, see bug 201871
+       export VARTEXFONTS="${T}/fonts"
+
+       emake all
+
+       if use doc; then
+               if use cairo; then
+                       emake -C docs pdf
+               else
+                       ewarn "Cannot build figures unless cairo is enabled."
+                       ewarn "Building documentation without figures."
+                       emake -C docs pdf_nofig
+                       mv docs/nofigures.pdf docs/gnuplot.pdf || die
+               fi
+       fi
+}
+
+src_install() {
+       emake DESTDIR="${D}" install
+
+       dodoc BUGS NEWS PGPKEYS README* RELEASE_NOTES
+       newdoc term/PostScript/README README-ps
+       newdoc term/js/README README-js
+       use lua && newdoc term/lua/README README-lua
+
+       local DOC_CONTENTS='Gnuplot no longer links against pdflib. You can
+               use the "pdfcairo" terminal for PDF output.'
+       use cairo || DOC_CONTENTS+=' It is available with USE="cairo".'
+       use gd && DOC_CONTENTS+="\n\nFor font support in png/jpeg/gif output,
+               you may have to set the GDFONTPATH and GNUPLOT_DEFAULT_GDFONT
+               environment variables. See the FAQ file in /usr/share/doc/${PF}/
+               for more information."
+       readme.gentoo_create_doc
+
+       if use examples; then
+               # Demo files
+               insinto /usr/share/${PN}/${GP_VERSION}
+               doins -r demo
+               rm "${ED}"/usr/share/${PN}/${GP_VERSION}/demo/binary{1,2,3} || 
die
+               rm "${ED}"/usr/share/${PN}/${GP_VERSION}/demo/plugin/*.{o,so} 
|| die
+       fi
+
+       if use doc; then
+               # Manual, FAQ
+               dodoc docs/gnuplot.pdf #FAQ.pdf
+               # Documentation for making PostScript files
+               docinto psdoc
+               dodoc docs/psdoc/{*.doc,*.tex,*.ps,*.gpi,README}
+       fi
+}
+
+src_test() {
+       emake check GNUTERM="dumb"
+}
+
+pkg_postinst() {
+       use latex && texmf-update
+       readme.gentoo_print_elog
+}
+
+pkg_postrm() {
+       use latex && texmf-update
+}

Reply via email to